Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms
Class TibjmsXATopicConnectionFactory

    java.lang.Object
      TibjmsxCFImpl
          com.tibco.tibjms.TibjmsXAConnectionFactory
              com.tibco.tibjms.TibjmsXATopicConnectionFactory

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, ConnectionFactory, TopicConnectionFactory, XAConnectionFactory, XATopicConnectionFactory, javax.naming.Referenceable

    public class TibjmsXATopicConnectionFactory

extends TibjmsXAConnectionFactory
implements XATopicConnectionFactory, TopicConnectionFactory, java.io.Serializable, javax.naming.Referenceable

Note: XA sessions do not support routed queues.

Constructor Summary
`TibjmsXATopicConnectionFactory()` Constructs a new TibjmsXATopicConnectionFactory object.
`TibjmsXATopicConnectionFactory(java.lang.String serverUrl)` Constructs a new TibjmsXATopicConnectionFactory object for the given URL.
`TibjmsXATopicConnectionFactory(java.lang.String serverUrl, java.lang.String clientId)` Constructs a new TibjmsXATopicConnectionFactory object for the given URL and client id.
`TibjmsXATopicConnectionFactory(java.lang.String serverUrl, java.lang.String clientId, java.util.Map properties)` Constructs a new TibjmsXATopicConnectionFactory object for the given URL and client id and properties.

Method Summary
`java.lang.Object` | `clone()`
`TopicConnection` | `createTopicConnection()` Creates a topic connection with the default user identity.
`TopicConnection` | `createTopicConnection(java.lang.String userName, java.lang.String password)` Creates a topic connection with the specified user identity.
`XATopicConnection` | `createXATopicConnection()` Creates an XA topic connection with the default user identity.
`XATopicConnection` | `createXATopicConnection(java.lang.String userName, java.lang.String password)` Creates an XA topic connection with the specified user identity.

Methods inherited from class com.tibco.tibjms.TibjmsXAConnectionFactory
`createConnection, createConnection, createXAConnection, createXAConnection, getSSLProxyHost, getSSLProxyPassword, getSSLProxyPort, getSSLProxyUser, setClientID, setConnAttemptCount, setConnAttemptDelay, setConnAttemptTimeout, setMetric, setMulticastDaemon, setMulticastEnabled, setReconnAttemptCount, setReconnAttemptDelay, setReconnAttemptTimeout, setServerUrl, setSSLAuthOnly, setSSLCipherSuites, setSSLDebugTrace, setSSLEnableVerifyHost, setSSLEnableVerifyHostName, setSSLExpectedHostName, setSSLIdentity, setSSLIdentity, setSSLIdentityEncoding, setSSLIssuerCertificate, setSSLIssuerCertificate, setSSLIssuerCertificate, setSSLPassword, setSSLPrivateKey, setSSLPrivateKey, setSSLPrivateKeyEncoding, setSSLProxy, setSSLProxyAuth, setSSLTrace, setSSLTrustedCertificate, setSSLTrustedCertificate, setSSLTrustedCertificate, setSSLVendor, setUserName, setUserPassword`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.jms.XAConnectionFactory
`createXAConnection, createXAConnection`

Methods inherited from interface javax.jms.ConnectionFactory
`createConnection, createConnection`

Methods inherited from interface javax.naming.Referenceable
`getReference`

Constructor Detail

### TibjmsXATopicConnectionFactory

    public TibjmsXATopicConnectionFactory()

  Constructs a new TibjmsXATopicConnectionFactory object.

### TibjmsXATopicConnectionFactory

    public TibjmsXATopicConnectionFactory(java.lang.String serverUrl)

  Constructs a new TibjmsXATopicConnectionFactory object for the given URL.

  Parameters:
    `serverUrl` - url of the JMS server

### TibjmsXATopicConnectionFactory

    public TibjmsXATopicConnectionFactory(java.lang.String serverUrl,
                                          java.lang.String clientId)

  Constructs a new TibjmsXATopicConnectionFactory object for the given URL and client id.

  Parameters:
    `serverUrl` - url of the JMS server
    `clientId` - id of the client

### TibjmsXATopicConnectionFactory

    public TibjmsXATopicConnectionFactory(java.lang.String serverUrl,
                                          java.lang.String clientId,
                                          java.util.Map properties)

  Constructs a new TibjmsXATopicConnectionFactory object for the given URL and client id and properties.

  Parameters:
    `serverUrl` - url of the JMS server
    `clientId` - id of the client
    `properties` - properties object The following properties can be set in the properties object: TibjmsSSL.VENDOR TibjmsSSL.TRACE TibjmsSSL.DEBUG_TRACE TibjmsSSL.TRUSTED_CERTIFICATES TibjmsSSL.ENABLE_VERIFY_HOST TibjmsSSL.ENABLE_VERIFY_HOST_NAME TibjmsSSL.EXPECTED_HOST_NAME TibjmsSSL.HOST_NAME_VERIFIER TibjmsSSL.AUTH_ONLY TibjmsSSL.IDENTITY TibjmsSSL.IDENTITY_ENCODING TibjmsSSL.ISSUER_CERTIFICATES TibjmsSSL.PRIVATE_KEY TibjmsSSL.PRIVATE_KEY_ENCODING TibjmsSSL.PASSWORD TibjmsSSL.CIPHER_SUITES
  See Also:
    `TibjmsSSL`

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `TibjmsXAConnectionFactory`
  Throws:
    `java.lang.CloneNotSupportedException`

### createXATopicConnection

    public XATopicConnection createXATopicConnection()
                                              throws JMSException

  Description copied from interface: `XATopicConnectionFactory`
  Creates an XA topic connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Specified by:
    `createXATopicConnection` in interface `XATopicConnectionFactory`
  Returns:
    a newly created XA topic connection
  Throws:
    `JMSException` - if the JMS provider fails to create an XA topic connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

### createXATopicConnection

    public XATopicConnection createXATopicConnection(java.lang.String userName,
                                                     java.lang.String password)
                                              throws JMSException

  Description copied from interface: `XATopicConnectionFactory`
  Creates an XA topic connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Specified by:
    `createXATopicConnection` in interface `XATopicConnectionFactory`
  Parameters:
    `userName` - the caller's user name
    `password` - the caller's password
  Returns:
    a newly created XA topic connection
  Throws:
    `JMSException` - if the JMS provider fails to create an XA topic connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

### createTopicConnection

    public TopicConnection createTopicConnection()
                                          throws JMSException

  Description copied from interface: `TopicConnectionFactory`
  Creates a topic connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Specified by:
    `createTopicConnection` in interface `TopicConnectionFactory`
  Returns:
    a newly created topic connection
  Throws:
    `JMSException` - if the JMS provider fails to create a topic connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

### createTopicConnection

    public TopicConnection createTopicConnection(java.lang.String userName,
                                                 java.lang.String password)
                                          throws JMSException

  Description copied from interface: `TopicConnectionFactory`
  Creates a topic connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Specified by:
    `createTopicConnection` in interface `TopicConnectionFactory`
  Parameters:
    `userName` - the caller's user name
    `password` - the caller's password
  Returns:
    a newly created topic connection
  Throws:
    `JMSException` - if the JMS provider fails to create a topic connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved